petsc-3.4.2 2013-07-02

# PCBJacobiGetTotalBlocks

Gets the global number of blocks for the block Jacobi preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCBJacobiGetTotalBlocks(PC pc, PetscInt *blocks, const PetscInt *lens[])

Not Collective

### Input Parameter

pc -the preconditioner context

### Output parameters

| blocks | - the number of blocks
| lens | - integer array containing the size of each block

### Keywords

get, number, Jacobi, global, total, blocks

### See Also

PCSetUseAmat(), PCBJacobiGetLocalBlocks()

Level:intermediate
Location:src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages